window.onscroll = function() {scrollFunction()};

// simple script that changes the style of the navbar when the user scrolls down
function scrollFunction() {
    if (document.body.scrollTop > 100 || document.documentElement.scrollTop > 100) {
        // update main navbar to its collapsed version
        document.getElementById("navbar").style.backgroundColor = "rgba(0, 0, 0, 0.8)";
        document.getElementById("navbar").style.display = "flex";
        document.getElementById("navbar").style.justifyContent = "space-between";
        document.getElementById("navbar").style.alignItems = "stretch";
        // update the logo style to its colapsed version
        document.getElementById("logo").style.width = "50px";
        document.getElementById("logo").style.height = "50px";
        document.getElementById("logo").style.marginTop = "10px";
        document.getElementById("logo").style.marginLeft = "10px";
        // update the navbar title and subtitle to their colapsed version
        document.getElementById("title").style.marginTop = "0%";
        document.getElementById("title").style.marginLeft = "0px";
        document.getElementById("title").style.marginRight = "60%";
        document.getElementById("subheading").style.display = "none";
        document.getElementById("darkToggleWrapper").style.display = "block";
    }
    else {
        // update main navbar to its expanded version
        document.getElementById("navbar").style.backgroundColor = "transparent";
        document.getElementById("navbar").style.display = "block";
        document.getElementById("navbar").style.justifyContent = "start";
        document.getElementById("navbar").style.alignItems = "stretch";
        // update the logo style to its expanded version
        document.getElementById("logo").style.width = "100px";
        document.getElementById("logo").style.height = "100px";
        document.getElementById("logo").style.marginTop = "5%";
        document.getElementById("logo").style.marginLeft = "5%";
        // update the navbar title and subtitle to their expanded version
        document.getElementById("title").style.marginTop = "20%";
        document.getElementById("title").style.marginLeft = "10%";
        document.getElementById("title").style.marginRight = "0px";
        document.getElementById("subheading").style.display = "block";
        document.getElementById("darkToggleWrapper").style.display = "none";
    }
}

